Package org.eclipse.ease.modules.platform

# Class P2Module

java.lang.Object
org.eclipse.ease.modules.platform.P2Module

    public class P2Module
    extends Object

This module allows to interact with the eclipse p2 system that allows to modify the installed components.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`P2Module()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `checkForUpdates()` | Silently update the current installation using registered p2 sites.
`void` | `install​(String component)` | Install a component into the running system.
`void` | `registerUpdateSite​(String updateSite)` | Register a new p2 update site.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### P2Module

public P2Module()

## Method Details

### checkForUpdates

public void checkForUpdates()
Silently update the current installation using registered p2 sites.

### registerUpdateSite

public void registerUpdateSite​(String updateSite) throws org.eclipse.equinox.p2.core.ProvisionException, org.eclipse.core.runtime.OperationCanceledException
Register a new p2 update site.

Parameters:
  `updateSite` - site to register
Throws:
  `org.eclipse.equinox.p2.core.ProvisionException` - when repository cannot be created/loaded
  `org.eclipse.core.runtime.OperationCanceledException` - when user cancels the operation

### install

public void install​(String component)
Install a component into the running system.

Parameters:
  `component` - component id. Either the name of a plugin or the id of a feature (= feature.name.feature.group)